
QGIS Application - Bug report #12948

different SVG extent in composer than in map canvas

2015-06-12 02:58 AM - Denis Rouzaud

Status: Closed

Priority: High

Assignee:

Category: Map Composer/Printing

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 21028

Description

Map canvas uses the document extent while composer renders all elements from the SVG (including those out of document extent).

This is a bit annoying.

At least it should be coherent.

Here is how it looks like in QGIS

http://i.imgur.com/sRzuMsy.png

And in composer:

http://i.imgur.com/0TaKGsY.png

Associated revisions

Revision b81933ee - 2015-06-18 05:14 AM - Martin Dobias

Fixed fish and alcohol SVG files (fixes #12948)

Both SVGs had an extra path out of specified bounds which was getting

clipped out when rendering to canvas, but not in other places.

Revision 48a51ffc - 2015-07-07 05:58 PM - Martin Dobias

Fixed fish and alcohol SVG files (fixes #12948)

Both SVGs had an extra path out of specified bounds which was getting

clipped out when rendering to canvas, but not in other places.

(cherry picked from commit b81933ee56ff94a764bd3b9027dbfaa190ae2f35)

History

#1 - 2015-06-17 08:18 PM - Martin Dobias

- Status changed from Open to Closed

Fixed in changeset commit:"b81933ee56ff94a764bd3b9027dbfaa190ae2f35".
#2 - 2015-06-30 11:54 PM - Denis Rouzaud

- Affected QGIS version changed from 2.8.2 to master

- Status changed from Closed to Reopened

- Category changed from Map Legend to Map Composer/Printing

In composer, SVG symbols are rendered on their whole extent and not the document extent like in the map canvas.

At least, the behavior should be coherent.

#3 - 2015-06-30 11:56 PM - Denis Rouzaud

- Subject changed from SVG symbol not rendered same way in composer than in main map to different SVG extent in composer than in map canvas

#4 - 2015-07-08 01:27 AM - Martin Dobias

- Status changed from Reopened to Closed

Fixed in changeset commit:"48a51ffc55d0fd1dedd9f2214d70759d24da4a65".
